Bug 1813147 - Upgradeable field not set to False when in Managed state
Summary: Upgradeable field not set to False when in Managed state
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Catalog
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.5.0
Assignee: Jesus M. Rodriguez
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks: 1813146
TreeView+ depends on / blocked
 
Reported: 2020-03-13 04:19 UTC by Jesus M. Rodriguez
Modified: 2020-08-04 18:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Service Catalog has been removed in 4.5.
Clone Of: 1813146
Environment:
Last Closed: 2020-08-04 18:05:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-08-04 18:05:30 UTC

Description Jesus M. Rodriguez 2020-03-13 04:19:45 UTC
+++ This bug was initially created as a clone of Bug #1813146 +++

Description of problem:

The Service Catalog apiserver and controller-manager operators do not set the Upgradeable field to False when the managementState is set to Managed.

apiVersion: v1
items:
- apiVersion: operator.openshift.io/v1
  kind: ServiceCatalogAPIServer
  metadata:
    annotations:
      release.openshift.io/create-only: "true"
    creationTimestamp: "2020-03-13T01:33:08Z"
    generation: 2
    name: cluster
    resourceVersion: "20727"
    selfLink: /apis/operator.openshift.io/v1/servicecatalogapiservers/cluster
    uid: 1121e36a-ade6-47f5-9172-e2a023211278
  spec:
    logLevel: Normal
    managementState: Managed
  status:
    conditions:
    - lastTransitionTime: "2020-03-13T01:54:09Z"
      status: "True"
      type: Available
    - lastTransitionTime: "2020-03-13T01:53:29Z"
      status: "False"
      type: Progressing
    - lastTransitionTime: "2020-03-13T01:36:56Z"
      reason: Removed
      status: "False"
      type: Degraded
    - lastTransitionTime: "2020-03-13T01:52:47Z"
      reason: NoUnsupportedConfigOverrides
      status: "True"
      type: UnsupportedConfigOverridesUpgradeable
    - lastTransitionTime: "2020-03-13T01:52:49Z"
      status: "False"
      type: ResourceSyncControllerDegraded
    - lastTransitionTime: "2020-03-13T01:53:09Z"
      status: "False"
      type: WorkloadDegraded
    generations:
    - group: apps
      hash: ""
      lastGeneration: 2
      name: apiserver
      namespace: openshift-service-catalog-apiserver
      resource: daemonsets
    observedGeneration: 2
    readyReplicas: 0
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""

apiVersion: v1
items:
- apiVersion: operator.openshift.io/v1
  kind: ServiceCatalogControllerManager
  metadata:
    annotations:
      release.openshift.io/create-only: "true"
    creationTimestamp: "2020-03-13T01:33:08Z"
    generation: 2
    name: cluster
    resourceVersion: "20644"
    selfLink: /apis/operator.openshift.io/v1/servicecatalogcontrollermanagers/cluster
    uid: 91595e09-9e5e-478c-9b62-d7c5e96d8067
  spec:
    logLevel: Normal
    managementState: Managed
  status:
    conditions:
    - lastTransitionTime: "2020-03-13T01:36:49Z"
      status: "True"
      type: Upgradeable
    - lastTransitionTime: "2020-03-13T01:53:53Z"
      status: "True"
      type: Available
    - lastTransitionTime: "2020-03-13T01:52:39Z"
      reason: DesiredStateAchieved
      status: "False"
      type: Progressing
    - lastTransitionTime: "2020-03-13T01:36:49Z"
      reason: Removed
      status: "False"
      type: Degraded
    - lastTransitionTime: "2020-03-13T01:52:35Z"
      status: "False"
      type: WorkloadDegraded
    generations:
    - group: apps
      hash: ""
      lastGeneration: 2
      name: controller-manager
      namespace: openshift-service-catalog-controller-manager
      resource: daemonsets
    observedGeneration: 2
    readyReplicas: 0
    version: 4.4.0-0.nightly-2020-03-12-205413
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""

Comment 1 Jesus M. Rodriguez 2020-03-13 04:21:26 UTC
This bug is simply being used to allow the openshift-bot to let my 4.4 fixes to go in. There is no service catalog in 4.5.

Comment 5 errata-xmlrpc 2020-08-04 18:05:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5 image release advisory), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.